---
anta_title: ANTA Input Types
---
<!--
  ~ Copyright (c) 2023-2025 Arista Networks, Inc.
  ~ Use of this source code is governed by the Apache License 2.0
  ~ that can be found in the LICENSE file.
  -->

### ::: anta.custom_types

    options:
      show_if_no_docstring: true
      show_root_full_path: true
